Skip to contents

# Distribution Statistics

Source: `R/stats-exponential-tbl.R`
`util_exponential_stats_tbl.Rd`

Returns distribution statistics in a tibble.

## Usage

    util_exponential_stats_tbl(.data)

## Arguments

.data

  The data being passed from a `tidy_` distribution function.

## Value

A tibble

## Details

This function will take in a tibble and returns the statistics of the given type of `tidy_` distribution. It is required that data be passed from a `tidy_` distribution function.

## See also

Other Exponential: `tidy_exponential()`, `tidy_inverse_exponential()`, `util_exponential_param_estimate()`

Other Distribution Statistics: `util_bernoulli_stats_tbl()`, `util_beta_stats_tbl()`, `util_binomial_stats_tbl()`, `util_burr_stats_tbl()`, `util_cauchy_stats_tbl()`, `util_chisquare_stats_tbl()`, `util_f_stats_tbl()`, `util_gamma_stats_tbl()`, `util_geometric_stats_tbl()`, `util_hypergeometric_stats_tbl()`, `util_logistic_stats_tbl()`, `util_lognormal_stats_tbl()`, `util_negative_binomial_stats_tbl()`, `util_normal_stats_tbl()`, `util_pareto_stats_tbl()`, `util_poisson_stats_tbl()`, `util_t_stats_tbl()`, `util_triangular_stats_tbl()`, `util_uniform_stats_tbl()`, `util_weibull_stats_tbl()`

## Author

Steven P. Sanderson II, MPH

## Examples

    library(dplyr)

    tidy_exponential() |>
      util_exponential_stats_tbl() |>
      glimpse()
    #> Rows: 1
    #> Columns: 18
    #> $ tidy_function     <chr> "tidy_exponential"
    #> $ function_call     <chr> "Exponential c(1)"
    #> $ distribution      <chr> "Exponential"
    #> $ distribution_type <chr> "continuous"
    #> $ points            <dbl> 50
    #> $ simulations       <dbl> 1
    #> $ mean              <dbl> 1
    #> $ median            <dbl> 0.6931472
    #> $ mode              <dbl> 1
    #> $ range             <chr> "1 to Inf"
    #> $ std_dv            <dbl> 1
    #> $ coeff_var         <dbl> 1
    #> $ skewness          <dbl> 2
    #> $ kurtosis          <dbl> 9
    #> $ computed_std_skew <dbl> 2.507772
    #> $ computed_std_kurt <dbl> 11.7495
    #> $ ci_lo             <dbl> 0.009251961
    #> $ ci_hi             <dbl> 3.334835